Package tigase.kernel.beans.selector

# Enum Class ConfigTypeEnum

java.lang.Object
java.lang.Enum<ConfigTypeEnum>
tigase.kernel.beans.selector.ConfigTypeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ConfigTypeEnum>`, `Constable`

public enum ConfigTypeEnum extends Enum<ConfigTypeEnum>
Created by andrzej on 26.04.2017.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ComponentMode`
  `ConnectionManagersMode`
  `DefaultMode`
  `SessionManagerMode`
  `SetupMode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `id()`
  `static ConfigTypeEnum`
  `valueForId(String id)`
  `static ConfigTypeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConfigTypeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DefaultMode

    public static final ConfigTypeEnum DefaultMode

  - ### SessionManagerMode

    public static final ConfigTypeEnum SessionManagerMode

  - ### ConnectionManagersMode

    public static final ConfigTypeEnum ConnectionManagersMode

  - ### ComponentMode

    public static final ConfigTypeEnum ComponentMode

  - ### SetupMode

    public static final ConfigTypeEnum SetupMode

- ## Method Details

  - ### values

    public static ConfigTypeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConfigTypeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueForId

    public static ConfigTypeEnum valueForId(String id)

  - ### id

    public String id()